Important: Please read the Qt Code of Conduct - https://forum.qt.io/topic/113070/qt-code-of-conduct

QTextCodec & Qt6::Core5Compat & Conan



  • I am porting a Qt5 application over to Qt6 and I am running into an issue with QTextCodec because it's simply not found.

    I've seen that with Qt6 I have to link to the Qt6::Core5Compat library, however my project uses conan for dependency management. I do not see a way to build/download the Core5Compat library with Qt6's conan recipe.

    Does anyone know a way to do this?



  • Doh! There's a Conan option qt5compat.


Log in to reply